AGTCloud API Docs
GuidesAPI ReferenceIntegrations and resourcesUpdate and help
Image generationQwen Image

Create / edit images

Generate or edit Qwen images through the OpenAI-compatible API.

POST/v1/images/generations

Generate or edit images synchronously. When image is provided, edit the reference images using the prompt.

Authorization

bearerAuth
AuthorizationBearer <token>

Use a platform API key.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

Replace the editing example URL with the image URL generated in the previous step. For Base64, replace BASE64_BYTES with actual image data and retain the Data URL prefix matching its format.

Alibaba Cloud Qwen image generation and editing APIFields and response format of the OpenAI-compatible API.